<!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
	<title>GoldenEye</title>
    <meta http-equiv="Content-type" content="text/html;charset=UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1"/>

    <link rel="icon" href="{% static 'images/logo-head.PNG' %}">

<!--===============================================================================================-->	
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/font-awesome-4.7.0/css/font-awesome.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/Linearicons-Free-v1.0.0/icon-font.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animate/animate.css' %}"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/css-hamburgers/hamburgers.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animsition/css/animsition.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/select2/select2.min.css' %}"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/daterangepicker/daterangepicker.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'css/util.css' %}"/>
	<link rel="stylesheet" type="text/css" href="{% static 'css/main.css' %}"/>
                <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/responsive/2.2.3/css/responsive.dataTables.min.css" />	
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css" />
	<style>

th{
position: relative;
color:orange;
font-size:24px;
width:400px;
text-align:center
}
tr:hover{
 background-color:grey;
}
tr:hover > td{
color:blue;
cursor:pointer;
}
tr{
background:#474747;
border-bottom:1pt solid white;
word-break: break-all;
cursor:pointer;
  position: relative;
}
td{
background:#474747;
  position: relative;
color:white;
font-size:16px;
width:400px;
text-align:center;
}

	</style>
</head>
<body id="bd" style="background:url({% static 'images/loading.gif' %}) center center no-repeat">
<h1  style="color:grey;"><center>Topics</center></h1>
			<center>
			<table id="topics">
			<thead>
			<th>Name</th>
			<th>Date</th>
			<th>Virality</th>
			</thead> <tbody></tbody>
			 			</table>
					<br>
			 	 <div align="center">
                                <button type="button" id="see" class="btn btn-secondary" style="background-color: blue" onclick="more()">See More</button></div>
                                </div>
		<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>
                <script  src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
                <script  src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
                <script  src="https://cdn.datatables.net/fixedheader/3.1.5/js/dataTables.fixedHeader.min.js"></script>
		<script src="https://cdn.datatables.net/plug-ins/1.10.19/api/processing().js"></script>

<script type="text/javascript">
src=window.location.toString()
src=src.replace("virality","viral")
viral=["Low","Medium","High"]
var cnt=0
var table=''
var monthNames = [
    "January", "February", "March",
    "April", "May", "June", "July",
    "August", "September", "October",
    "November", "December"
  ];
 $.fn.dataTableExt.oSort["test-desc"] = function (x, y)
    {
	x=viral.indexOf(x)
	y=viral.indexOf(y)
        if ( x > y)
        {
            return -1;
        }

        return 1;

    };
 $.fn.dataTableExt.oSort["customdate-desc"] = function (x, y)
    {
        x=x.split(" ")
	y=y.split(" ")

        if ( parseInt(x[2])> parseInt(y[2]))
        {
            return -1;
        }

	if ( parseInt(x[2])< parseInt(y[2]))
        {
            return 1;
        }
	if ( monthNames.indexOf(x[1])< monthNames.indexOf(y[1]))
        {
            return 1;
        }	
	if ( monthNames.indexOf(x[1])> monthNames.indexOf(y[1]))
        {
            return -1;
        }
	if ( parseInt(x[0])> parseInt(y[0]))
        {
            return -1;
        }

        if ( parseInt(x[0])< parseInt(y[0]))
        {
            return 1;
        }
        return 1;

    };
 $.fn.dataTableExt.oSort["customdate-asc"] = function (x, y)
    {
        x=x.split(" ")
        y=y.split(" ")

        if ( parseInt(x[2])> parseInt(y[2]))
        {
            return 1;
        }

        if ( parseInt(x[2])< parseInt(y[2]))
        {
            return -1;
        }
        if ( monthNames.indexOf(x[1])< monthNames.indexOf(y[1]))
        {
            return -1;
        }
        if ( monthNames.indexOf(x[1])> monthNames.indexOf(y[1]))
        {
            return 1;
        }
        if ( parseInt(x[0])> parseInt(y[0]))
        {
            return 1;
        }
	if ( parseInt(x[0])< parseInt(y[0]))
        {
            return -1;
        }
        return -1;
    };

    $.fn.dataTableExt.oSort["test-asc"] = function (x, y)
    {

        x=viral.indexOf(x)
        y=viral.indexOf(y)

        if ( x > y)
        {
            return 1;
        }

        return -1;
    }
$(document).ready(function() {
		window.table = $('#topics').DataTable( {
			 "order": [],
                        fixedHeader: true,
                        responsive:true,
    			paging:false,
			
			"columnDefs": [
    { "type": "test", targets: 2 },{"type":"customdate",targets:1},
    ],
                      "scrollY":        "55vh",
                      "scrollCollapse": true,
			searching: false,
			info:false
  } );
                  more();


	 $("#topics tbody").on("click" ,'tr',function(){
         id=$(this).attr('id');
	 src="http://35.226.69.237/"+parent.country+"/timeline/"+parseInt(parent.min)+"/"+parseInt(parent.max)+"/topic/"+id
         parent.loadIframe("timeline",src)
         src="http://35.226.69.237:3838/?country="+parent.country+"&min="+parseInt(parent.min)+"&max="+parseInt(parent.max)+"&top=topic&word="+id+"&skip=0"
         parent.loadIframe("chirp",src)
         src="http://35.226.69.237/"+parent.country+"/map/"+parseInt(parent.min)+"/"+parseInt(parent.max)+"/topic/"+id
         parent.loadIframe("map",src)
                 src="http://35.226.69.237/"+parent.country+"/hashtags/"+parseInt(parent.min)+"/"+parseInt(parent.max)+"/topic/"+id
         parent.loadIframe("hashtags",src)
                 src="http://35.226.69.237/"+parent.country+"/mentions_screen_name/"+parseInt(parent.min)+"/"+parseInt(parent.max)+"/topic/"+id
         parent.loadIframe("mentions_screen_name",src)
                 src="http://35.226.69.237/"+parent.country+"/screen_name/"+parseInt(parent.min)+"/"+parseInt(parent.max)+"/topic/"+id
         parent.loadIframe("screen_name",src)
                 src="http://35.226.69.237/"+parent.country+"/sentiments/"+parseInt(parent.min)+"/"+parseInt(parent.max)+"/topic/"+id
         parent.loadIframe("sentiments",src)
                 src="http://35.226.69.237/"+parent.country+"/twitter/"+parseInt(parent.min)+"/"+parseInt(parent.max)+"/All/"+parent.document.getElementById("sel").value+"/topic/"+id
         parent.loadIframe("twitter",src)
                 src="http://35.226.69.237/"+parent.country+"/word/"+parseInt(parent.min)+"/"+parseInt(parent.max)+"/All/"+parent.document.getElementById("sel").value+"/topic/"+id
         parent.loadIframe("word-cloud",src)
                 parent.loadIframe("word-assoc","http://35.226.69.237/"+parent.country+"/word/0/999999999999999/All/all/top/top/_")

}
)

} );


body=document.getElementById("bd")
tbl=document.getElementById("topics")

function more(){
tbl.style.display="none"
body.style.background="none"
$.getJSON(src+cnt, function(data) {
more_topics(data);
})
}

function formatDate(date) {
  var day = date.getDate();
  var monthIndex = date.getMonth();
  var year = date.getFullYear();

  return day + ' ' + monthNames[monthIndex] + ' ' + year;
}

async function more_topics(data){
if (data.length==0){
        document.getElementById("see").remove()
}

else{

cnt+=data.length;
for (const item of data){
    await tbl_add(item)
}

setTimeout(function () {
     $($.fn.dataTable.tables( true ) ).DataTable().columns.adjust().draw();
},200)	

if (data.length%20!=0){
        document.getElementById("see").remove()
}
}
tbl.style.display=""
body.style.background="#474747"

}

async function tbl_add(item){

table.row.add([item[0],formatDate(new Date(item[2])),viral[item[1]] ]).node().id=item[0]
table.draw(false)

}
</script>
	</body>
	</html>
